#!/usr/bin/perl
# 'use lib' order matters! inserted at front of include path each time - sort
# in 'increasing importance' order (environment should overrule all other, etc)
use lib "$ENV{PWD}/";
use lib "/opt/nordugrid/libexec";
# 'Make' (*not* autoconf!) expands this one to avoid hardcoding. Please refer to:
# http://www.gnu.org/software/autoconf/manual/autoconf-2.57/html_chapter/autoconf_4.html#SEC22
use lib "/opt/nordugrid/libexec";
use lib "$ENV{NORDUGRID_LOCATION}/libexec";

use parse_conf;
use strict;
use warnings;

# A simple but general wrapper to execute the infosys script for the relevant 
# remote LRMS.
# Find resource LRMS and execute the script with the same name as this one only
# with '-remote' replaced by '-remote-LRMS'.

my $self = "$0";
my %config;

$config{resource_lrms} = &parse_conf::get_conf_value("resource_lrms");

unless ($config{resource_lrms}) {
	print("config{resource_lrms} not set!\n");
	die "config{resource_lrms} not set!\n";
}

$self =~ /(\S+)(\.pl)/;
my $real_script = "$1-$config{resource_lrms}$2";

#print("execute: $real_script with args @ARGV\n");
exec $real_script @ARGV;
