#!/bin/sh -f
#
# set environment variables:
#   SGE_BIN_PATH
#
# Juha.Lento@csc.fi
# 2004-11-05
#

##############################################################
# Reading configuration from $NORDUGRID_CONFIG
##############################################################

# check $NORDUGRID_CONFIG
if [ -z ${NORDUGRID_CONFIG} ] ; then
    echo "Environment variable NORDUGRID_CONFIG not set." 1>&2
    exit 1
fi
if [ ! -f ${NORDUGRID_CONFIG} ] ; then
    echo "Nordugrid configuration file $NORDUGRID_CONFIG not found." 1>&2
    exit 1
fi

# Path to sge commands
SGE_BIN_PATH=${SGE_BIN_PATH:-`grep sge_bin_path $NORDUGRID_CONFIG |
sed 's/^sge_bin_path\s*=*\s*\(\"*\)\(.*\)\1/\2/'`}
if [ "$SGE_ROOT" ] && [ "$SGE_ARCH" ] ; then
    SGE_BIN_PATH=${SGE_BIN_PATH:-${SGE_ROOT}/bin/${SGE_ARCH}}
fi
if [ ! -d ${SGE_BIN_PATH} ] ; then
    echo "Could not set SGE_BIN_PATH." 1>&2
    exit 1
fi
