#!/usr/bin/perl 

# This package allows other perl scripts to access the resource gateway 
# configuration. 

package gw_shared;

require         Exporter;
@ISA            =qw(Exporter);
@EXPORT         =qw(%gw_config);
@EXPORT_OK      =qw(%gw_config);

# 'use lib' order matters! inserted at front of include path each time - sort
# in 'increasing importance' order (environment should overrule all other, etc)
use lib "$ENV{PWD}/";
use lib "/opt/nordugrid/libexec";
# 'Make' (*not* autoconf!) expands this one to avoid hardcoding. Please refer to:
# http://www.gnu.org/software/autoconf/manual/autoconf-2.57/html_chapter/autoconf_4.html#SEC22
use lib "/opt/nordugrid/libexec";
use lib "$ENV{NORDUGRID_LOCATION}/libexec";

use warnings;
#use strict;

# Defaults
#$gw_config{gateway_enabled} = 0;
#$gw_config{$gateway_conf} = "";
#$gw_config{$gateway_lib} = "";
#$gw_config{$remote_query} = "";
#$gw_config{$submit_job} = "";
#$gw_config{$cancel_job} = "";
#$gw_config{$upload_job} = "";
#$gw_config{$download_job} = "";

#print("gw_config before parsing: $gw_config{gateway_enabled} ... \n");

sub parse_conf() {
	# parse configuration file and fill in values in gw_config
	my $conf = $_[0];

	unless(open(CONF, "<$conf")) {
		print("WARNING: failed to open $conf for reading!\n");
		return "";	
	}

	my @lines = <CONF>;
	foreach my $line (@lines) {
		chop($line);

		# skip blank lines and pure comments
		if ($line =~ /^$/) {
			next;
		}
		if ($line =~ /^\s*#/) {
			next;
		}
		
		#print("read line: $line\n");
		if ($line =~ /^\s*([^=\s]+)\s*=\s*([^\s#]+)\s*(#.*)?$/) {
			my $option=$1;
			my $value=$2;
			#chop($value);
			#print("parse_conf: found $option=$value ($1 ; $2)\n");
			$gw_config{$option} = $value;
		}
     	}

	unless(close(CONF)) {
		print("WARNING: failed to close $conf - ignoring!\n");
	}
	
}

my $gateway_inc;
if($ENV{NORDUGRID_LOCATION}) {
	$gateway_inc = "$ENV{NORDUGRID_LOCATION}";
} else {
	# This fallback path should be correctly set by 'Make' during build
	$gateway_inc = "/opt/nordugrid";
}

$gateway_inc = "$gateway_inc/etc/remote-lrms.conf";
#print("gateway_inc: $gateway_inc\n");

&parse_conf("$gateway_inc");

#print("gw_config:\n");
#foreach my $key (keys % gw_config) {
#	print("\t$key\t:\t$gw_config{$key}\n");
#}

1;
