#!/usr/bin/perl
# 'use lib' order matters! inserted at front of include path each time - sort
# in 'increasing importance' order (environment should overrule all other, etc)
use lib "$ENV{PWD}/";
use lib "/opt/nordugrid/libexec";
# 'Make' (*not* autoconf!) expands this one to avoid hardcoding. Please refer to:
# http://www.gnu.org/software/autoconf/manual/autoconf-2.57/html_chapter/autoconf_4.html#SEC22
use lib "/opt/nordugrid/libexec";
use lib "$ENV{NORDUGRID_LOCATION}/libexec";

use strict;
use warnings;
use parse_conf;

# Simple script to access perl parser module from shell scripts to unify parsing.
# Please note that this script requires the infosys perl module parse_conf.pm

my $ARGC = scalar(@ARGV);
if($ARGC != 1) {
	print("ERROR: no configuration option to look for supplied\n");
	exit(1);
}

my $conf_option = "$ARGV[0]";
my $conf_value = &parse_conf::get_conf_value($conf_option);
if($conf_value) {
	print("$conf_value\n");
} else {
	print("ERROR: option $conf_option not found in configuration\n");
	exit(1);
}
exit 0;
